/* ========================================================================
* @author Grant McKenzie (grant.mckenzie@geog.ucsb.edu
* @date March 2014
* @course mat259
* @description Set up
* ====================================================================== */
void setup() {
  size(displayWidth,displayHeight, OPENGL);
  textureMode(NORMAL);
  fill(255);
  
  // smooth(4);
  // frameRate(30);
  float fov = PI/3.0;
  float cameraZ = (height/2.0) / tan(fov/2.0);
  perspective(fov, float(width)/float(height), cameraZ/400, cameraZ*10.0);
  cam = new PeasyCam(this, 0, 0, 0, 700);
  cam.setMinimumDistance(1);
  cam.setMaximumDistance(5000);

  mds = loadTable("mds.csv", "header");
  textures = new ArrayList<PImage>();
  for (TableRow row : mds.rows()) {
    String r = "img/"+row.getString("bibnum")+".png";
    textures.add(loadImage(r));
  } 
  // jsd = loadTable("jsd2.csv", "header");
  checkouts = loadTable("ch.csv", "header");
  
  counter = 0;
  for (TableRow row : checkouts.rows()) {
    allDots[counter][0] = row.getInt("bib");
    allDots[counter][1] = row.getInt("1");
    allDots[counter][2] = row.getInt("2");
    allDots[counter][3] = row.getInt("3");
    allDots[counter][4] = row.getInt("4");
    allDots[counter][5] = row.getInt("5");
    allDots[counter][6] = row.getInt("6");
    allDots[counter][7] = row.getInt("7");
    allDots[counter][8] = row.getInt("8");
    allDots[counter][9] = row.getInt("9");
    allDots[counter][10] = row.getInt("10");
    allDots[counter][11] = row.getInt("11");
    allDots[counter][12] = row.getInt("12");
    counter++;
  }
}
